OpenTTD Source: LocaleSettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
LocaleSettings Struct Reference

Settings related to currency/unit systems. More...

`#include <settings_type.h>`

## Data Fields
uint8_t | currency
| currency we currently use
uint8_t | units_velocity
| unit system for velocity of trains and road vehicles
uint8_t | units_velocity_nautical
| unit system for velocity of ships and aircraft
uint8_t | units_power
| unit system for power
uint8_t | units_weight
| unit system for weight
uint8_t | units_volume
| unit system for volume
uint8_t | units_force
| unit system for force
uint8_t | units_height
| unit system for height
std::string | digit_group_separator
| thousand separator for non-currencies
std::string | digit_group_separator_currency
| thousand separator for currencies
std::string | digit_decimal_separator
| decimal separator

## Detailed Description

Settings related to currency/unit systems.

Definition at line 294 of file settings_type.h.

## Field Documentation

## ◆ currency

uint8_t LocaleSettings::currency

currency we currently use

Definition at line 295 of file settings_type.h.

Referenced by GameOptionsWindow::BuildDropDownList(), GetCurrency(), GameOptionsWindow::GetWidgetString(), and GameOptionsWindow::OnDropdownSelect().

## ◆ digit_decimal_separator

std::string LocaleSettings::digit_decimal_separator

decimal separator

Definition at line 305 of file settings_type.h.

## ◆ digit_group_separator

std::string LocaleSettings::digit_group_separator

thousand separator for non-currencies

Definition at line 303 of file settings_type.h.

## ◆ digit_group_separator_currency

std::string LocaleSettings::digit_group_separator_currency

thousand separator for currencies

Definition at line 304 of file settings_type.h.

## ◆ units_force

uint8_t LocaleSettings::units_force

unit system for force

Definition at line 301 of file settings_type.h.

Referenced by AfterLoadGame(), and FormatString().

## ◆ units_height

uint8_t LocaleSettings::units_height

unit system for height

Definition at line 302 of file settings_type.h.

Referenced by AfterLoadGame(), and FormatString().

## ◆ units_power

uint8_t LocaleSettings::units_power

unit system for power

Definition at line 298 of file settings_type.h.

Referenced by AfterLoadGame(), and FormatString().

## ◆ units_velocity

uint8_t LocaleSettings::units_velocity

unit system for velocity of trains and road vehicles

Definition at line 296 of file settings_type.h.

Referenced by AfterLoadGame(), and GetVelocityUnits().

## ◆ units_velocity_nautical

uint8_t LocaleSettings::units_velocity_nautical

unit system for velocity of ships and aircraft

Definition at line 297 of file settings_type.h.

Referenced by AfterLoadGame(), and GetVelocityUnits().

## ◆ units_volume

uint8_t LocaleSettings::units_volume

unit system for volume

Definition at line 300 of file settings_type.h.

Referenced by AfterLoadGame(), and FormatString().

## ◆ units_weight

uint8_t LocaleSettings::units_weight

unit system for weight

Definition at line 299 of file settings_type.h.

Referenced by AfterLoadGame(), and FormatString().

The documentation for this struct was generated from the following file:

- src/settings_type.h